Robot Simulator of the Robotics Group for Self-Organization of Control: StdImageProcessor Struct Reference

# StdImageProcessor Struct Reference

Standard image processor - convenience class for 1 to 1 image processing. More...

`#include <imageprocessors.h>`

Inherits lpzrobots::ImageProcessor.

Inherited by AvgImgProc, BWImageProcessor, ColorFilterImgProc, HSVImgProc, and LineImgProc.

Collaboration diagram for StdImageProcessor:
[legend]

List of all members.

## Public Member Functions
| StdImageProcessor (bool show, float scale)
virtual | ~StdImageProcessor ()
virtual void | initDestImage (Camera::CameraImage &dest, const Camera::CameraImage &src)=0
| overload this function and initialise the dest.img and the dest.name
virtual void | process (const osg::Image *src, osg::Image *dest)=0
| overload this function and do processing here
virtual Camera::CameraImage | init (const Camera::CameraImages &imgs)
| initialization with all images so far.
virtual void | process ()
| perform the image calculation here
## Protected Attributes
Camera::CameraImage | _dest
Camera::CameraImage | _src

## Detailed Description

Standard image processor - convenience class for 1 to 1 image processing.

The last image of the stack is the source (output of last processor). Simpler to implement than ImageProcessor.

Parameters:

  | show | whether do display the resulting image on the screen
  | scale | how to scale the display

See also:
  ImageProcessor

## Constructor & Destructor Documentation

StdImageProcessor | ( | bool | show,
|  | float | scale |
| ) |  |  | `[inline]`

virtual ~StdImageProcessor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Camera::CameraImage init | ( | const Camera::CameraImages & | imgs | ) | `[inline, virtual]`

initialization with all images so far.

The last image in the list is probably the one to use for processing. (output from last processor)

Returns:
  result image structure of this processor

Implements ImageProcessor.

virtual void initDestImage | ( | Camera::CameraImage & | dest,
|  | const Camera::CameraImage & | src |
| ) |  |  | `[pure virtual]`

overload this function and initialise the dest.img and the dest.name

Implemented in BWImageProcessor, HSVImgProc, ColorFilterImgProc, LineImgProc, and AvgImgProc.

virtual void process | ( |  | ) | `[inline, virtual]`

perform the image calculation here

Implements ImageProcessor.

virtual void process | ( | const osg::Image * | src,
|  | osg::Image * | dest |
| ) |  |  | `[pure virtual]`

overload this function and do processing here

Implemented in BWImageProcessor, HSVImgProc, ColorFilterImgProc, LineImgProc, and AvgImgProc.

## Member Data Documentation

Camera::CameraImage _dest`[protected]`

Camera::CameraImage _src`[protected]`

The documentation for this struct was generated from the following file:

- imageprocessors.h